## ia32-libs 1.4ubuntu19

=== Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs include/config.h
LSRCFILES = configure configure.in aclocal.m4 Makepkgs install-sh exports \
	README VERSION

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* install-lib.* *.gz

SUBDIRS = include libmisc libacl getfacl setfacl chacl m4 man doc po \
	  test examples build debian

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure \
		--prefix=/ \
		--exec-prefix=/ \
		--sbindir=/bin \
		--bindir=/usr/bin \
		--libdir=/lib \
		--libexecdir=/usr/lib \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share \
		$$LOCAL_CONFIGURE_OPTIONS
	touch .census

aclocal.m4::
	aclocal --acdir=$(TOPDIR)/m4 --output=$@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

install-lib: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	rm -rf autom4te.cache Logs

=== debian/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LIBPKG = lib$(PKG_NAME)1
LSRCFILES = changelog control copyright rules shlibs.$(LIBPKG)
DEV_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)-dev
LIB_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

install-lib: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
	$(INSTALL) -m 644 copyright $(LIB_DOC_DIR)
	$(INSTALL) -m 644 changelog $(LIB_DOC_DIR)/changelog.Debian
endif

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LINGUAS = de fr pl
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

XGETTEXTFILES =	$(TOPDIR)/chacl/chacl.c \
		$(TOPDIR)/setfacl/do_set.c \
		$(TOPDIR)/setfacl/setfacl.c \
		$(TOPDIR)/getfacl/getfacl.c \
		$(TOPDIR)/libacl/acl_error.c \
		$(TOPDIR)/libacl/perm_copy_fd.c \
		$(TOPDIR)/libacl/perm_copy_file.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

## ia32-libs 0.3

=== debian/changelog ===
ia32-libs (0.3) unstable; urgency=low

  * add libstdc++2.9-glibc2.1_2.91.66-4_i386.deb to the set of libraries
    delivered

 -- Bdale Garbee <bdale@gag.com>  Mon, 18 Feb 2002 01:29:50 -0700

ia32-libs (0.2) unstable; urgency=high

  * put ld-linux.so.2 in the right place, closes: #123231
  * improve handling of /etc/ld.so.conf in postinst/postrm
  * freshen set of ia32 libs delivered
  * don't mash permissions in /emul/ia32-linux during packaging
  * mark this urgency high since initial version didn't work at all... /o\

 -- Bdale Garbee <bdale@gag.com>  Fri, 15 Feb 2002 21:11:37 -0700

ia32-libs (0.1) unstable; urgency=low

  * Initial Release.  Debian-specific, ia64-only package.

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2001 14:17:02 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ia32-libs
Architecture: ia64
Description: IA-32 shared libraries for use on IA-64 systems
 This package delivers a set of pre-compiled ia32 (i386 family) shared 
 libraries, so that ia32 Linux applications can be executed on ia64 systems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs/emul/ia32-linux ; done
	ln -sf /emul/ia32-linux/lib/ld-linux.so.2 \
		debian/ia32-libs/lib/ld-linux.so.2

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms --exclude "emul/ia32-linux"
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs 0.4

=== debian/changelog ===
ia32-libs (1:0.4) unstable; urgency=low

  * Removing libldap-2.4-2, libnss-ldap, libpam-ldap from dependences:
    + recommends causes debconf questions for those not having LDAP.
    + suggests doesn't cause them to be installed on upgrade.
    + if you need them you should know about them anyway.
    + if something needs them it should depend on it itself.
    (Closes: #684029)

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sun, 25 Nov 2012 19:31:10 +0100

ia32-libs (1:0.3) unstable; urgency=medium

  * Drop dependency on removed libdb4.8 [ROM] (Closes: #679671)

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 10 Oct 2012 16:54:20 +0200

ia32-libs (1:0.2) unstable; urgency=medium

  * Jack and jack2 are abi-compatible, so add them as alternative
    dependencies. Thanks Felipe Sateler for the patch! (closes: #680153)
  * Downgrade libldap-2.4-2, libnss-ldap, libpam-ldap to Recommends,
    so they may be opted out of. (closes: #684029)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 07 Oct 2012 16:41:00 +0200

ia32-libs (1:0.1) unstable; urgency=low

  * Upload with epoched version number to clearly separate new style
    ia32-libs from the old monolithic version (closes: #688915).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 28 Sep 2012 10:08:38 +0000

ia32-libs (20120701) unstable; urgency=low

  * Drop dependency on removed libdb4.8 [ROM] (Closes: #679671)

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sun, 01 Jul 2012 10:54:33 +0200

ia32-libs (20120616) unstable; urgency=low

  * Transition ia32-libs to multiarch.
    + ia32-libs:amd64 becomes transitional package depending on ia32-libs-i386.
    + New transitional package ia32-libs-i386:i386 that depends on all
      libraries previously in ia32-libs.
  * Drop libhal1 dependency since it is to be removed from wheezy.
  * Drop libcapi20-3 dependency since isdnutils is dead and not multiarch.
  * Removed ia32-libs-dev
    + building complex 32bit packages on amd64 is no longer supported
    + build i386 packages and install via multiarch instead
  * Removed support for ia64, kernel no longer supports 32bit.

 -- Goswin von Brederlow <goswin-v-b@web.de>  Sat, 16 Jun 2012 15:32:03 +0200

ia32-libs (20120102) stable; urgency=low

  * Packages updated

  [ cups (1.4.4-7+squeeze1) stable-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - str3867 added, fix an infinite loop / heap-based buffer overflow in the
      gif_read_lzw() function (CVE-2011-2896)
    - str3914 added, complete the fix for the previous issue (CVE-2011-3170).

  [ freetype (2.4.2-2.1+squeeze3) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team.
  * Upload prepared by Michael Gilbert!
  * Fix CVE-2011-3439: vulnerability in CID-keyed Type 1 fonts.

  [ freetype (2.4.2-2.1+squeeze2) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team
  * CVE-2011-3256

  [ krb5 (1.8.3+dfsg-4squeeze2) stable; urgency=low ]

  * Upstream ticket 6852: permit gss_set_allowable_enctypes to restirct
    acceptor enctypes. Required in order to permit newer than squeeze
    clients to talk to a squeeze nfs server without degrading security
    for non-nfs applications on the box, #622146

  [ mesa (7.7.1-5) squeeze; urgency=low ]

  * glx: suppress BadRequest from DRI2Connect (which is expected for non-local
    clients).

  [ nss (3.12.8-1+squeeze4) stable-security; urgency=low ]

  * Explicitly distrust malaysian Digicert Sdn. Bhd CA certificate.
  * Address CVE-2011-3640 (Untrusted search path vulnerability).
    #647614.

  [ openssl (0.9.8o-4squeeze4) squeeze-security; urgency=high ]

  * Non-maintainer upload by the Security Team.
  * Block Malaysian's Digicert Sdn. Bhd. certificates by marking them
    as revoked.

  [ openssl (0.9.8o-4squeeze3) squeeze; urgency=low ]

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2011-3210: SSL memory handling for (EC)DH ciphersuites

  [ pam (1.1.1-6.1+squeeze1) stable-security; urgency=low ]

  * Non-maintainer upload by the Security Team
  * Fix CVE-2011-3148 and CVE-2011-3149

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 02 Jan 2012 20:24:00 +0000

ia32-libs (20111001) stable; urgency=low

  * Packages updated

  [ curl (7.21.0-2) stable-security; urgency=high ]

  * debian/patches/curl-gssapi-delegation: Fix for GSSAPI delegation
    vulnerability as detailed in CVE-2011-2192. More information and
    the patch at <http://curl.haxx.se/docs/adv_20110623.html>.
    (#631615)

  [ dbus (1.2.24-4+squeeze1) stable; urgency=low ]

  * Update Vcs-* control fields to reflect the move to git
  * Apply patch to fix CVE-2011-2200 (fd.o #38120), which is a local DoS for
    system services (#629938)

  [ e2fsprogs (1.41.12-4stable1) stable; urgency=high ]

  * Upload to proposed-updates
  * Fix "mke2fs -n" so it won't issue a discard and thus trash all
     the data on an SSD (oops!!!)

  [ e2fsprogs (1.41.12-4) unstable; urgency=high ]

  * Clear ext4 error fields in the superblock.  Otherwise users will see
    scary messages every 24 hours after a file system error is detected,
    even after e2fsck has fixed it, if they are using Linux 2.6.35 or later.
  * Fix usage message for logsave (#619788)

  [ e2fsprogs (1.41.12-3) unstable; urgency=high ]

  * Fix signed vs. unsigned char bug in getopt in e2fsprogs which
    afflicts systems with default unsigned char
  * Fix bug in e2fsck where it would fail to fix file systems
    where both the primary and backup block group descriptors are
    corrupted.  (Addresses Ubuntu Launchpad bug: #711799)
  * Fix package description: fsck has been moved to util-linux
    (#588726)
  * Fix badblocks so it the progress message correctly handles UTF-8
    characters for I18N systems (#583782, #587834)
  * Prevent e2fsck from accidentally scrambling a file system when
    checking a snapshot which has an external journal device (which has
    not been snapshotted).  (#587531)


=== debian/control ===
Source: ia32-libs
Section: oldlibs
Priority: extra
Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
Uploaders: Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>, Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>> 8.0.0)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-ia32-libs/ia32-libs.git
Vcs-Git: git://git.debian.org/git/pkg-ia32-libs/ia32-libs.git

Package: ia32-libs
Architecture: amd64
Pre-Depends: multiarch-support
Depends: ia32-libs-i386, ${misc:Depends}
Suggests: ia32-libs-gtk
Description: Transitional package to migrate ia32-libs to multiarch
 This is a transitional package used to migrate the ia32-libs package
 to true multiarch. It can be removed once nothing on the system
 depends on it.
 .
 This package requires multiarch to be enabled before it can be
 installed, use "dpkg --add-architecture i386".

Package: ia32-libs-i386
Architecture: i386
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, freeglut3 (>= 2.6.0-1), lesstif2 (>= 1:0.95.2-1),
 libacl1 (>= 2.2.49-4), libaio1 (>= 0.3.107-7), libasyncns0 (>= 0.3-1.1),
 libattr1 (>= 1:2.4.44-2), libaudio2 (>= 1.9.2-4), libaudiofile1 (>= 0.2.6-8),
 libavahi-client3 (>= 0.6.27-2+squeeze1),
 libavahi-common3 (>= 0.6.27-2+squeeze1), libbsd0 (>= 0.2.0-1),
 libcap2 (>= 1:2.19-3),
 libcomerr2 (>= 1.41.12-4stable1), libcups2 (>= 1.4.4-7+squeeze1),
 libcurl3 (>= 7.21.0-2),
 libdbus-1-3 (>= 1.2.24-4+squeeze1), libdirectfb-1.2-9 (>= 1.2.10.0-4),
 libdrm-intel1 (>= 2.4.21-1~squeeze3), libdrm-radeon1 (>= 2.4.21-1~squeeze3),
 libdrm2 (>= 2.4.21-1~squeeze3), libedit2 (>= 2.11-20080614-2),
 libesd0 (>= 0.2.41-8), libexif12 (>= 0.6.19-1), libexpat1 (>= 2.0.1-7),
 libflac8 (>= 1.2.1-2+b1), libfltk1.1 (>= 1.1.10-2+b1),
 libfontconfig1 (>= 2.8.0-2.1), libfreetype6 (>= 2.4.2-2.1+squeeze3),
 libgcrypt11 (>= 1.4.5-2), libgdbm3 (>= 1.8.3-9),
 libgl1-mesa-dri (>= 7.7.1-5), libgl1-mesa-glx (>= 7.7.1-5),
 libglu1-mesa (>= 7.7.1-5), libgnutls26 (>= 2.8.6-1),
 libgpg-error0 (>= 1.6-1), libgphoto2-2 (>= 2.4.6-3),
 libgphoto2-port0 (>= 2.4.6-3), libgssapi-krb5-2 (>= 1.8.3+dfsg-4squeeze2),
 libice6 (>= 2:1.0.6-2), libidn11 (>= 1.15-2), libieee1284-3 (>= 0.2.11-6),
 libjack-jackd2-0 (>= 1.9.5~dfsg-14) | libjack0 (>= 1:0.118+svn3796-7),
 libjpeg62 (>= 6b1-1), libjpeg8 (>= 8b-1),
 libk5crypto3 (>= 1.8.3+dfsg-4squeeze2), libkeyutils1 (>= 1.4-1),
 libkrb5-3 (>= 1.8.3+dfsg-4squeeze2),
 libkrb5support0 (>= 1.8.3+dfsg-4squeeze2), liblcms1 (>= 1.18.dfsg-1.2+b3),
 libltdl7 (>= 2.2.6b-2), liblzo2-2 (>= 2.03-2),
 libmpg123-0 (>= 1.12.1-3), libnspr4-0d (>= 4.8.6-1),
 libnss3-1d (>= 3.12.8-1+squeeze4),
 libogg0 (>= 1.2.0~dfsg-1), libopenal1 (>= 1:1.12.854-2),
 libpam0g (>= 1.1.1-6.1+squeeze1),
 libpng12-0 (>= 1.2.44-1+squeeze1), libpopt0 (>= 1.16-1),
 libpulse0 (>= 0.9.21-3+squeeze1), libsamplerate0 (>= 0.1.7-3),
 libsane (>= 1.0.21-9), libsasl2-2 (>= 2.1.23.dfsg1-7),
 libsdl1.2debian (>= 1.2.15), libselinux1 (>= 2.0.96-1),
 libsigc++-2.0-0c2a (>= 2.2.4.2-1), libsm6 (>= 2:1.1.1-1),
 libsndfile1 (>= 1.0.21-3+squeeze1), libsqlite3-0 (>= 3.7.3-1),
 libssh2-1 (>= 1.2.6-1), libssl1.0.0 (>= 1), libstdc++5 (>= 1:3.3.6-20),
 libsvga1 (>= 1:1.4.3-29), libsysfs2 (>= 2.1.0+repack-1),
 libtasn1-3 (>= 2.7-1), libtdb1 (>= 1.2.1-2+b1),
 libtiff4 (>= 3.9.4-5+squeeze3), libts-0.0-0 (>= 1.0-7),
 libusb-0.1-4 (>= 2:0.1.12-16), libuuid1 (>= 2.17.2-9),
 libvorbis0a (>= 1.3.1-1), libvorbisenc2 (>= 1.3.1-1),
 libvorbisfile3 (>= 1.3.1-1), libwrap0 (>= 7.6.q-19),
 libx11-6 (>= 2:1.3.3-4), libx86-1 (>= 1.1+ds1-6), libxau6 (>= 1:1.0.6-1),
 libxaw7 (>= 2:1.0.7-1), libxcb-render-util0 (>= 0.3.6-1),
 libxcb-render0 (>= 1.6-1), libxcb1 (>= 1.6-1), libxcomposite1 (>= 1:0.4.2-1),
 libxcursor1 (>= 1:1.1.10-2), libxdamage1 (>= 1:1.1.3-1),
 libxdmcp6 (>= 1:1.0.3-2), libxext6 (>= 2:1.1.2-1),
 libxfixes3 (>= 1:4.0.5-1), libxft2 (>= 2.1.14-2), libxi6 (>= 2:1.3-6),
 libxinerama1 (>= 2:1.1-3), libxml2 (>= 2.7.8.dfsg-2+squeeze1),
 libxmu6 (>= 2:1.0.5-2), libxmuu1 (>= 2:1.0.5-2), libxp6 (>= 1:1.0.0.xsf1-2),
 libxpm4 (>= 1:3.5.8-1), libxrandr2 (>= 2:1.3.0-3),
 libxrender1 (>= 1:0.9.6-1), libxslt1.1 (>= 1.1.26-6),
 libxss1 (>= 1:1.2.0-2), libxt6 (>= 1:1.0.7-1), libxtst6 (>= 2:1.1.0-3),
 libxv1 (>= 2:1.0.5-1), libxxf86vm1 (>= 1:1.1.0-2),
 odbcinst1debian2 (>= 2.2.14p2-1), libodbc1, xaw3dg (>= 1.5+E-18)
Breaks: libwine (<< 1.4-6), libwine-capi (<< 1.4~)
Suggests: ia32-libs-gtk-i386
Multi-Arch: foreign
Description: Transitional package to migrate ia32-libs to multiarch
 This is a transitional package used to migrate the ia32-libs package
 to true multiarch. It can be removed once nothing on the system
 depends on it.
 .
 This package depends on all the individual library packages that were
 previously included in ia32-libs.

## ia32-libs 0.5

=== debian/changelog ===
ia32-libs (1:0.5) unstable; urgency=low

  * Drop dependency on libsvga1, which is to be removed from
    the archive (closes: #713990).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 Jun 2013 21:17:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian ia32-libs Team <pkg-ia32-libs-maintainers@lists.alioth.debian.org>
 Uploaders: Goswin von Brederlow <goswin-v-b@web.de>, Frederik Schüler <fs@debian.org>, Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>> 8.0.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-ia32-libs/ia32-libs.git
 Vcs-Git: git://git.debian.org/git/pkg-ia32-libs/ia32-libs.git
 
@@ -61,7 +61,7 @@
  libsigc++-2.0-0c2a (>= 2.2.4.2-1), libsm6 (>= 2:1.1.1-1),
  libsndfile1 (>= 1.0.21-3+squeeze1), libsqlite3-0 (>= 3.7.3-1),
  libssh2-1 (>= 1.2.6-1), libssl1.0.0 (>= 1), libstdc++5 (>= 1:3.3.6-20),
- libsvga1 (>= 1:1.4.3-29), libsysfs2 (>= 2.1.0+repack-1),
+ libsysfs2 (>= 2.1.0+repack-1),
  libtasn1-3 (>= 2.7-1), libtdb1 (>= 1.2.1-2+b1),
  libtiff4 (>= 3.9.4-5+squeeze3), libts-0.0-0 (>= 1.0-7),
  libusb-0.1-4 (>= 2:0.1.12-16), libuuid1 (>= 2.17.2-9),

## ia32-libs 0.5ubuntu2

=== debian/changelog ===
ia32-libs (0.5ubuntu2) warty; urgency=low

  * Don't ship libstdc++, it's provided by the lib32stdc++5 package,
    built by gcc-3.3

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 29 Aug 2004 11:18:56 +0200

ia32-libs (0.5ubuntu1) warty; urgency=medium

  * Make sure we include source, basically hacked from amd64-libs, by
    Daniel Jacobowitz.

 -- Tollef Fog Heen <tfheen@raw.no>  Sun, 29 Aug 2004 10:00:44 +0200

ia32-libs (0.5) unstable; urgency=low

  * add amd64 to the architecture list, closes: #252762
  * freshen to latest packages in Debian testing

 -- Bdale Garbee <bdale@gag.com>  Wed,  9 Jun 2004 11:47:59 -0600

ia32-libs (0.4) unstable; urgency=low

  * document in README.Debian how to use dpkg -X to add packages to the 
    /emul/ia32-linux tree.  Thanks to Torsten Werner for this.
  * add more libraries and a uname binary, closes: #162093
  * freshen to latest packages in Debian testing, closes: #171449
  * add more libstdc++ versions, closes: #216978

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Dec 2003 15:23:43 -0700

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

build:
#	./fetch-and-build

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	rm -f debian/ia32-libs-dev.preinst debian/ia32-libs-dev.postrm
	dh_clean
	chmod a+x debian/generate-wrappers.sh

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done

# Fix up some things
	mv debian/ia32-libs/lib debian/ia32-libs/lib32
	mv debian/ia32-libs/usr/lib debian/ia32-libs/usr/lib32

	# No X libs currently included.
	mv debian/ia32-libs/usr/X11R6/lib debian/ia32-libs/usr/X11R6/lib32

###	mkdir debian/ia32-libs/usr/i486-linux
###	mv debian/ia32-libs/usr/include/* debian/ia32-libs/usr/i486-linux
###	mv debian/ia32-libs/usr/i486-linux debian/ia32-libs/usr/include/
	rm -r debian/ia32-libs/usr/include
	rm -r debian/ia32-libs/usr/share
	rm -r debian/ia32-libs/usr/sbin
	rm -r debian/ia32-libs/sys
	rm -r debian/ia32-libs/sbin
	rm debian/ia32-libs/usr/lib32/pt_chown

# Make ldd work for 32-bit and 64-bit binaries.
	[ -x debian/ia32-libs/usr/bin/ldd ]
	sed < debian/ia32-libs/usr/bin/ldd 's%RTLDLIST=.*%RTLDLIST=" /lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2"%' | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd
	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
	rm -rf debian/ia32-libs/usr/bin
	mkdir -p debian/ia32-libs/usr/bin
	mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/
	mv debian/ia32-libs/lddlibc4 debian/ia32-libs/usr/bin/
	chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd

	dh_link lib32/ld-2.3.2.so lib/ld-linux.so.2

# Add doc dir and lintian overrides
	mkdir -p debian/ia32-libs/usr/share/doc/ia32-libs
	mkdir -p debian/ia32-libs/usr/share/lintian/overrides
	cp debian/ia32-libs.overrides debian/ia32-libs/usr/share/lintian/overrides/ia32-libs
	mkdir -p debian/ia32-libs-dev/usr/share/lintian/overrides
	cp debian/ia32-libs-dev.overrides debian/ia32-libs-dev/usr/share/lintian/overrides/ia32-libs-dev

# Extract shlibs info from libc6
	mkdir debian/ia32-libs/DEBIAN
	dpkg -e pkgs/libc6_*deb
	sed "s/libc6 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >debian/ia32-libs/DEBIAN/shlibs
	dpkg -e pkgs/libncurses5_*deb
	sed "s/libncurses5 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >>debian/ia32-libs/DEBIAN/shlibs

	# Fix symlinks.
	for link in $$(find debian/ia32-libs -type l); do		\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed 's,/lib/,/lib32/,') $$link;	\
	done

	# Wrap headers. that differ between 32-bit and 64-bit.  All asm
	# headers are wrapped (we assume the list of 32-bit headers in
	# the linux-kernel-headers package is the same as will be on the
	# installed system).  A manually maintained list of other headers
	# are wrapped.
##	./debian/generate-wrappers.sh ./debian/ia32-libs \
##	  ./debian/differing-headers
##	rm -rf debian/ia32-libs/usr/include/i486-linux-input

##	cat debian/ia32-libs-dev.preinst.in debian/create-diversions > debian/ia32-libs-dev.preinst
##	cat debian/ia32-libs-dev.postrm.in debian/remove-diversions > debian/ia32-libs-dev.postrm
	cat debian/ia32-libs-dev.preinst.in > debian/ia32-libs-dev.preinst
	cat debian/ia32-libs-dev.postrm.in > debian/ia32-libs-dev.postrm

	# Fix up GROUP commands in linker scripts
	for lib in libc.so libpthread.so; do				\
	  cat debian/ia32-libs/usr/lib32/$$lib				\
	    | sed 's,/lib/,/lib32/,g' > $$lib;				\
	  mv -f $$lib debian/ia32-libs/usr/lib32/$$lib;		\
	done

	echo -e "# packages used in the creation of ia32-libs\n" > \
		debian/ia32-libs/usr/share/doc/ia32-libs/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs/usr/share/doc/ia32-libs/Manifest

	# Separate out development files.
	mkdir -p debian/ia32-libs-dev/usr/share/doc
	ln -s ia32-libs debian/ia32-libs-dev/usr/share/doc/ia32-libs-dev

#	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
	mkdir debian/ia32-libs-dev/usr/lib32
	mv debian/ia32-libs/usr/lib32/*.so debian/ia32-libs-dev/usr/lib32
	mv debian/ia32-libs/usr/lib32/*.a debian/ia32-libs-dev/usr/lib32
	mv debian/ia32-libs/usr/lib32/*.o debian/ia32-libs-dev/usr/lib32
#	mv debian/ia32-libs/usr/lib32/debug debian/ia32-libs-dev/usr/lib32

binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms --exclude "*/ld-*"
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs 0.5ubuntu2.1

=== debian/changelog ===
ia32-libs (0.5ubuntu2.1) warty-security; urgency=low

  * Update zlib1g with the binaries from zlib 1.2.1.1-3ubuntu1.2:
    - SECURITY UPDATE: Fix another buffer overflow on invalid data streams.
      - CAN-2005-1849
    - SECURITY UPDATE: Fix buffer overflow on invalid data streams.
      - CAN-2005-2096

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 21 Jul 2005 14:35:23 +0200

=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.22ubuntu1)
Standards-Version: 3.6.1.0

Package: ia32-libs
Architecture: amd64 ia64
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Architecture: amd64 ia64
Depends: ia32-libs (= ${Source-Version})
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.

## ia32-libs 0.5ubuntu3

=== debian/changelog ===
ia32-libs (0.5ubuntu3) hoary; urgency=low

  * Build libgcc1, but only ship it if uname -m == ia64.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 29 Aug 2004 11:18:56 +0200
	

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,16 @@
 
 # Extract all debs
 	for i in `cd pkgs ; /bin/ls *.deb` ; do \
+		if [ "$$(echo $$i | sed 's,_.*,,')" = "libgcc1" ]; then \
+			continue;\
+		fi; \
 		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done
+
+	if [ "$$(uname -m)" = "ia64" ]; then \
+		dpkg-deb -x pkgs/libgcc1_*deb debian/lib32gcc1 ; \
+		mv debian/lib32gcc1/lib debian/lib32gcc1/lib32 ; \
+		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
+	fi
 
 # Fix up some things
 	mv debian/ia32-libs/lib debian/ia32-libs/lib32
@@ -46,7 +55,19 @@
 
 # Make ldd work for 32-bit and 64-bit binaries.
 	[ -x debian/ia32-libs/usr/bin/ldd ]
-	sed < debian/ia32-libs/usr/bin/ldd 's%RTLDLIST=.*%RTLDLIST=" /lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2"%' | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd
+	case $$(uname -m) in \
+		x86_64) \
+			RTLDLIST="/lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2" \
+		;; \
+		ia64) \
+			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" \
+		;; \
+		*) \
+			echo "Unsupported architecture"; exit 1 \
+		;; \
+	esac ; \
+	sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd 
+
 	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
 	rm -rf debian/ia32-libs/usr/bin
 	mkdir -p debian/ia32-libs/usr/bin
@@ -116,22 +137,28 @@
 binary-indep:
 
 # Build architecture-dependent files here.
+
+
+
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installexamples
-	dh_installchangelogs 
+	dh_testdir -s
+	dh_testroot -s 
+	dh_installdocs -s
+	dh_installexamples -s
+	dh_installchangelogs -s
 #	dh_link
 #	dh_strip
-	dh_compress
-	dh_fixperms --exclude "*/ld-*"
+	dh_compress -s
+	dh_fixperms --exclude "*/ld-*" -s
 #	dh_makeshlibs
-	dh_installdeb
+	dh_installdeb -s
 #	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_gencontrol -pia32-libs -pia32-libs-dev
+	if [ "$$(uname -m)" = "ia64" ]; then \
+		dh_gencontrol -plib32gcc1 -- -v`dpkg -I pkgs/libgcc1_*deb | awk '/Version/ {print $$2; exit}'` ; \
+	fi
+	dh_md5sums -s
+	dh_builddeb -s
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs 0.5ubuntu3.1

=== debian/changelog ===
ia32-libs (0.5ubuntu3.1) hoary-security; urgency=low

  * Update zlib1g with the binaries from zlib 1.2.1.1-3ubuntu1.2:
    - SECURITY UPDATE: Fix another buffer overflow on invalid data streams.
      - CAN-2005-1849
    - SECURITY UPDATE: Fix buffer overflow on invalid data streams.
      - CAN-2005-2096

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 21 Jul 2005 14:47:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,3 +18,12 @@
 Description: ia32 development libraries and headers for use on ia32/ia64 systems
  This package contains headers and development libraries for building
  32-bit ia32 applications on amd64/ia64 Debian systems.
+
+Package: lib32gcc1
+Architecture: ia64
+Depends: ia32-libs (= ${Source-Version})
+Description: GCC support library (ia32)
+ Shared version of the support library, a library of internal subroutines
+ that GCC uses to overcome shortcomings of particular machines, or
+ special needs for some languages.
+

## ia32-libs 1.4

=== debian/changelog ===
ia32-libs (1.4) unstable; urgency=high

  * Correctly adjust the GROUP commands in linker scripts this time.
    Thanks to Goswin von Brederlow for the patch.   This also means we
    don't mangle random libraries either.  Closes: #305122, #306512.
  * Ship /usr/lib32 as a symlink to /emul/ia32-linux/usr/lib.  This makes
    gcc -m32 happy again on amd64.  Closes: #307521
  * We're not doing anything clever with ia32-libs-dev.{preinst,postrm},
    so don't pretend to either.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 May 2005 14:37:55 +0200

ia32-libs (1.3) unstable; urgency=low

  * Adjust linker scripts too, closes: #305122
  * Adjust section for ia32-libs-dev
  * Depend on lib32gcc1, closes: #305975
  * Add replaces for ia32-libs-openoffice.org, closes: #304971

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 25 Apr 2005 01:19:06 +0000

ia32-libs (1.2) unstable; urgency=low

  * Make sure we don't ship files in /usr/bin, closes: #304408
  * Make the removal of an obsolete alternative quiet.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Apr 2005 11:14:29 +0000

ia32-libs (1.1) unstable; urgency=high

  * Put Bdale back as the maintainer, sorry to both Bdale and Daniel for
    the confusion.
  * Update the README.build too.
  * Bump urgency, since this fixes an RC bug so we want to get it in
    quickly.
  * Make sure to include the ia32-libs version number too in the lib32gcc1
    package version.
  
 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Apr 2005 06:55:17 +0000

ia32-libs (1) unstable; urgency=low

  * Merge the Debian and Ubuntu versions of this package.
  * Now provide source, closes: #291952.
  * Add zlib, closes: #269497.
  * Add lesstif2, closes: #255787.
  * Add Xrender libs, closes: #287241.
  * Add libexpat1, libfontconfig1, closes: #291743.
  * Add libgcc1 on ia64, closes: #294322.
  * Add note about runnin ldconfig to README.Debian, closes: #294510
  
 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 11 Apr 2005 16:22:08 +0200

ia32-libs (0.7) unstable; urgency=medium

  * incorporate work by Matthias Klose on 0.6 into my source tree
  * freshen to latest packages in Debian testing
  * mostly-cosmetic updates to rules, README.Debian, etc
  * make the -dev package build correctly, and add a Manifest file
  * add libacl1, libattr1

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Aug 2004 16:53:54 -0600

ia32-libs (0.6) unstable; urgency=low

  * Build ia32-libs-dev package, needed as a build dependency for an
    biarch compiler.
  * Add libc6-dev package to the archive.
  * Make /usr/lib32 a symlink to /emul/ia32-linux/usr/lib. Ugly, but doesn't
    get in the way with existing (/usr/lib) and future (/usr/i486-linux/lib)
    links.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Aug 2004 15:45:31 +0000

=== debian/control ===
Source: ia32-libs
Section: libs
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 3.0.0), dpkg-dev (>= 1.10.23), lsb-release
Standards-Version: 3.6.1.0

Package: ia32-libs
Architecture: amd64 ia64
Depends: lsb-release, lib32gcc1
Replaces: ia32-libs-openoffice.org
Description: ia32 shared libraries for use on amd64 and ia64 systems
 This package contains runtime libraries for the ia32/i386
 architecture, configured for use on an amd64 or ia64 Debian system running
 a 64-bit kernel.

Package: ia32-libs-dev
Architecture: amd64 ia64
Section: libdevel
Depends: ia32-libs (= ${Source-Version})
Description: ia32 development libraries and headers for use on ia32/ia64 systems
 This package contains headers and development libraries for building
 32-bit ia32 applications on amd64/ia64 Debian systems.

Package: lib32gcc1
Architecture: ia64
Depends: ia32-libs (= ${Source-Version})
Description: GCC support library (ia32)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

# Lowest version with fully ABI compatible libraries
SHLIB_VERSION=0.2

OSVER=$(shell lsb_release -s -i)
ifeq (Debian,$(OSVER))
	ROOT=emul/ia32-linux
	SUFFIX=
else
	ROOT=
	SUFFIX=32
endif

build:
#	./fetch-and-build

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	rm -f debian/ia32-libs-dev.preinst debian/ia32-libs-dev.postrm
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		if [ "$$(echo $$i | sed 's,_.*,,')" = "libgcc1" ]; then \
			continue;\
		fi; \
		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done

	if [ "$$(uname -m)" = "ia64" ]; then \
		dpkg-deb -x pkgs/libgcc1_*deb debian/lib32gcc1 ; \
		mkdir -p debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
		mv debian/lib32gcc1/lib debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
	fi

	mkdir -p debian/ia32-libs/$(ROOT)
	mkdir -p debian/ia32-libs/$(ROOT)/usr
	mkdir -p debian/ia32-libs/$(ROOT)/usr/X11R6

	mv debian/ia32-libs/lib debian/ia32-libs/$(ROOT)/lib$(SUFFIX)
	mv debian/ia32-libs/usr/lib debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/usr/X11R6/lib debian/ia32-libs/$(ROOT)/usr/X11R6/lib$(SUFFIX)

ifeq (Debian,$(OSVER))
	mkdir -p  debian/ia32-libs/$(ROOT)/bin
	mv debian/ia32-libs/bin/uname debian/ia32-libs/$(ROOT)/bin
	ln -s /$(ROOT)/usr/lib$(SUFFIX) debian/ia32-libs/usr/lib32
endif


	rm -r debian/ia32-libs/usr/include
	rm -r debian/ia32-libs/usr/X11R6
	rm -r debian/ia32-libs/usr/share
	rm -r debian/ia32-libs/usr/sbin
	rm -r debian/ia32-libs/sys
	rm -r debian/ia32-libs/bin
	rm -r debian/ia32-libs/sbin
	rm -r debian/ia32-libs/etc
	rm -r debian/ia32-libs/var
	rm debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/pt_chown

# Make ldd work for 32-bit and 64-bit binaries.
	[ -x debian/ia32-libs/usr/bin/ldd ]
	case $$(uname -m) in \
		x86_64) \
			RTLDLIST="/lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2" \
		;; \
		ia64) \
			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" \
		;; \
		*) \
			echo "Unsupported architecture"; exit 1 \
		;; \
	esac ; \
	sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd 

	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
	rm -rf debian/ia32-libs/usr/bin
	mkdir -p debian/ia32-libs/usr/bin
	mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/
	mv debian/ia32-libs/lddlibc4 debian/ia32-libs/usr/bin/
	chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd

	mkdir -p debian/ia32-libs/lib/
	ln -s /$(ROOT)/lib$(SUFFIX)/ld-2.3.2.so debian/ia32-libs/lib/ld-linux.so.2 

# Add doc dir and lintian overrides
	mkdir -p debian/ia32-libs/usr/share/doc/ia32-libs
	mkdir -p debian/ia32-libs/usr/share/lintian/overrides
	cp debian/ia32-libs.overrides debian/ia32-libs/usr/share/lintian/overrides/ia32-libs
	mkdir -p debian/ia32-libs-dev/usr/share/lintian/overrides
	cp debian/ia32-libs-dev.overrides debian/ia32-libs-dev/usr/share/lintian/overrides/ia32-libs-dev

# Extract shlibs info from libc6
	mkdir debian/ia32-libs/DEBIAN
	dpkg -e pkgs/libc6_*deb
	sed "s/libc6 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >debian/ia32-libs/DEBIAN/shlibs
	dpkg -e pkgs/libncurses5_*deb
	sed "s/libncurses5 (.*)/ia32-libs (>= $(SHLIB_VERSION))/" < DEBIAN/shlibs >>debian/ia32-libs/DEBIAN/shlibs

	# Fix symlinks.
	for link in $$(find debian/ia32-libs/$(ROOT) -type l); do		\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed -e 's,^/,$(ROOT)/,' -e 's,/lib/,/lib$(SUFFIX)/,') $$link;	\
	done

	# Fix up GROUP commands in linker scripts
	for lib in libc.so libpthread.so; do				\
	  cat debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/$$lib				\
	    | sed -e '/^GROUP/ { s, /, /$(ROOT)/,g ; s,/lib/,/lib$(SUFFIX)/,g }' > $$lib; \
	  mv -f $$lib debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/$$lib;		\
	done

	echo -e "# packages used in the creation of ia32-libs\n" > \
		debian/ia32-libs/usr/share/doc/ia32-libs/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs/usr/share/doc/ia32-libs/Manifest

	# Separate out development files.
	mkdir -p debian/ia32-libs-dev/usr/share/doc
	ln -s ia32-libs debian/ia32-libs-dev/usr/share/doc/ia32-libs-dev

#	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
	mkdir -p debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.so debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.a debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.o debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)

binary-indep:

# Build architecture-dependent files here.



binary-arch: build install
	dh_testdir -s
	dh_testroot -s 
	dh_installdocs -s
	dh_installexamples -s
	dh_installchangelogs -s
#	dh_link
#	dh_strip
	dh_compress -s
	dh_fixperms --exclude "*/ld-*" -s
#	dh_makeshlibs
	dh_installdeb -s
#	dh_shlibdeps
	dh_gencontrol -pia32-libs -pia32-libs-dev
	if [ "$$(uname -m)" = "ia64" ]; then \
		dh_gencontrol -plib32gcc1 -- -v`dpkg -I pkgs/libgcc1_*deb | awk '/Version/ {print $$2; exit}'`+ia32.libs.`dpkg-parsechangelog  | grep ^Version | awk '{print $$2}'` ; \
	fi
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ia32-libs 1.4ubuntu4

=== debian/changelog ===
ia32-libs (1.4ubuntu4) breezy; urgency=low

  * Don't rebuild, keep packages from 1.4ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2005 12:11:15 +0000

ia32-libs (1.4ubuntu3) breezy; urgency=low

  * Add libdb4.2.
  * debian/rules: Special case libdb-4.2.so not to land in the -dev package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2005 10:36:13 +0000

ia32-libs (1.4ubuntu2) breezy; urgency=low

  * Freshen
  * New zlib fixes CAN-2005-1849 and CAN-2005-2096

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 14 Sep 2005 16:01:50 +0200

ia32-libs (1.4ubuntu1) breezy; urgency=low

  * Synchronise with Debian again.
  * Don't ship lddlibc4 any more.
  * Only mangle ldd on ia64, it's not needed on AMD64.
  * Don't try to ship zlib1g on amd64, add depends on lib32z1 instead.
  * Add libpam0g, libsndfile1, libxinerama1 to make OOo2 happy.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  9 Aug 2005 15:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ia32-libs
 Architecture: amd64 ia64
-Depends: lsb-release, lib32gcc1
+Depends: lsb-release, lib32gcc1, lib32z1
 Replaces: ia32-libs-openoffice.org
 Description: ia32 shared libraries for use on amd64 and ia64 systems
  This package contains runtime libraries for the ia32/i386
@@ -29,3 +29,12 @@
  Shared version of the support library, a library of internal subroutines
  that GCC uses to overcome shortcomings of particular machines, or
  special needs for some languages.
+
+Package: lib32z1
+Architecture: ia64
+Pre-Depends: ia32-libs
+Replaces: ia32-libs (<= 1.4)
+Description: compression library - 32 bit runtime
+ zlib is a library implementing the deflate compression method found
+ in gzip and PKZIP.  This package includes a 32 bit version of the
+ shared library.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # Lowest version with fully ABI compatible libraries
 SHLIB_VERSION=0.2
 
+DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 OSVER=$(shell lsb_release -s -i)
 ifeq (Debian,$(OSVER))
 	ROOT=emul/ia32-linux
@@ -15,7 +16,6 @@
 endif
 
 build:
-#	./fetch-and-build
 
 clean:
 	dh_testdir
@@ -33,7 +33,8 @@
 
 # Extract all debs
 	for i in `cd pkgs ; /bin/ls *.deb` ; do \
-		if [ "$$(echo $$i | sed 's,_.*,,')" = "libgcc1" ]; then \
+		PKGNAME=$$(echo $$i | sed 's,_.*,,'); \
+		if [ "$$PKGNAME" = "libgcc1" ] || [ "$$PKGNAME" = "zlib1g" ]; then \
 			continue;\
 		fi; \
 		dpkg-deb -x pkgs/$$i debian/ia32-libs/ ; done
@@ -43,6 +44,10 @@
 		mkdir -p debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
 		mv debian/lib32gcc1/lib debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
 		mv debian/lib32gcc1/usr/share/doc/libgcc1 debian/lib32gcc1/usr/share/doc/lib32gcc1 ; \
+		dpkg-deb -x pkgs/zlib1g_*deb debian/lib32z1 ; \
+		mkdir -p debian/lib32z1/$(ROOT)/lib$(SUFFIX) ; \
+		mv debian/lib32z1/lib debian/lib32gcc1/$(ROOT)/lib$(SUFFIX) ; \
+		mv debian/lib32z1/usr/share/doc/zlib1g debian/lib32z1/usr/share/doc/lib32z1 ; \
 	fi
 
 	mkdir -p debian/ia32-libs/$(ROOT)
@@ -59,7 +64,6 @@
 	ln -s /$(ROOT)/usr/lib$(SUFFIX) debian/ia32-libs/usr/lib32
 endif
 
-
 	rm -r debian/ia32-libs/usr/include
 	rm -r debian/ia32-libs/usr/X11R6
 	rm -r debian/ia32-libs/usr/share
@@ -75,26 +79,23 @@
 	[ -x debian/ia32-libs/usr/bin/ldd ]
 	case $$(uname -m) in \
 		x86_64) \
-			RTLDLIST="/lib/ld-linux-x86-64.so.2 /lib/ld-linux.so.2" \
+			rm -rf debian/ia32-libs/usr/bin ; \
 		;; \
 		ia64) \
-			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" \
+			RTLDLIST="/lib/ld-linux-ia64.so.2 /lib/ld-linux.so.2" ;\
+			sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd ;\
+		rm -rf debian/ia32-libs/usr/bin ; \
+		mkdir -p debian/ia32-libs/usr/bin ; \
+		mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/ ; \
+		chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd \
 		;; \
 		*) \
 			echo "Unsupported architecture"; exit 1 \
 		;; \
 	esac ; \
-	sed < debian/ia32-libs/usr/bin/ldd "s%RTLDLIST=.*%RTLDLIST=\" $$RTLDLIST\"%" | sed 's%verify_out=`$${rtld} --verify "$$file"`%verify_out=`$${rtld} --verify "$$file" 2>\&1`%' > debian/ia32-libs/ldd 
-
-	mv debian/ia32-libs/usr/bin/lddlibc4 debian/ia32-libs/
-	rm -rf debian/ia32-libs/usr/bin
-	mkdir -p debian/ia32-libs/usr/bin
-	mv debian/ia32-libs/ldd debian/ia32-libs/usr/bin/
-	mv debian/ia32-libs/lddlibc4 debian/ia32-libs/usr/bin/
-	chmod u=rwx,go=rx debian/ia32-libs/usr/bin/ldd
 
 	mkdir -p debian/ia32-libs/lib/
-	ln -s /$(ROOT)/lib$(SUFFIX)/ld-2.3.2.so debian/ia32-libs/lib/ld-linux.so.2 
+	ln -s /$(ROOT)/lib$(SUFFIX)/ld-linux.so.2 debian/ia32-libs/lib/ld-linux.so.2 
 
 # Add doc dir and lintian overrides
 	mkdir -p debian/ia32-libs/usr/share/doc/ia32-libs
@@ -135,14 +136,11 @@
 #	mv debian/ia32-libs/usr/include debian/ia32-libs-dev/usr/include
 	mkdir -p debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.so debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
+	mv debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)/libdb-*.so debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.a debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 	mv debian/ia32-libs/$(ROOT)/usr/lib$(SUFFIX)/*.o debian/ia32-libs-dev/$(ROOT)/usr/lib$(SUFFIX)
 
 binary-indep:
-
-# Build architecture-dependent files here.
-
-
 
 binary-arch: build install
 	dh_testdir -s
